<app-baselayout title="Customer List">

  <!-- Form Breadcrumb -->
  <breadcrumb [items]='breadcrumb'></breadcrumb>

  <div class="table-responsive">
    <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table w-100" style="white-space: nowrap;">
      <thead class="thead-light">
        <tr>
          <th>#</th>
          <th>Name</th>
          <th>Email ID</th>
          <th>Current Stage</th>
          <th>RM Name</th>
          <th>RM Code</th>
          <th>Registration Date</th>
          <th>Is Active</th>
          <th class="noExport">Action</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let cdata of customersList; let i = index">
          <td>{{i+1}}</td>
          <td>{{cdata.customer_name}}</td>
          <td>{{cdata.customer_emailid}}</td>
          <td style="word-break:break-word; text-transform: lowercase;">{{cdata.customer_currentstage}}</td>
          <td>{{cdata.rm_name}}</td>
          <td>{{cdata.rm_code}}</td>
          <td>{{cdata.registration_date}}</td>
          <td>{{cdata.is_active ? 'Yes' : 'No'}}</td>
          <td>
            <button *ngIf="cdata.is_active" type="button" class="btn btn-success" style="white-space: nowrap;"
              (click)="ViewPortfolio(cdata.customer_id)">View details</button>
            <button *ngIf="!cdata.is_active" type="button" class="btn btn-success" style="white-space: nowrap;"
              (click)="openDeactivatePopup(contentdeactivate, cdata.customer_id)">Activate Customer</button>
            <!-- <button type="button" class="btn btn-info" style="color: white;width:95%;"
              (click)="ViewPendingOrderList(cdata.customer_id)">View pending Order</button> -->
            <!-- <button type="button" class="btn btn-info text-white"
              (click)="showdelinkConfirmPopup(cdata.customer_id)">Delink
              TradeStation</button> -->
          </td>

        </tr>
      </tbody>
    </table>

    <ng-template #contentdeactivate let-modal>
      <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Confirm activate</h4>
        <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>Are you sure want to activate ?</p>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" (click)="confirmdeactivate(contentdeactivate)">Yes</button>
        <button type="button" class="btn btn-danger" (click)="closedeactivatemodal(contentdeactivate)">Cancel</button>
      </div>
    </ng-template>

    <!-- <ng-template #contentdelink let-modal>
      <div class=" modal-header">
        <h4 class="modal-title" id="modal-basic-title">Confirm De-link TradeStation</h4>
        <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p>Are you sure want to delink Tradestation account?</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" (click)="deactivateStock(contentdelete, stockObj)">Yes</button>
        <button type="button" class="btn btn-danger" (click)="closedeletemodal(contentdelete)">Cancel</button>
      </div>
    </ng-template> -->
    <div class="backdrop" *ngIf="loader"
    style="position: fixed; top: 0; right: 0;bottom: 0; left: 0; display: flex; align-items: center;justify-content: center;z-index: 199999;background: hsl(0deg 0% 0% / 40%);">
    <!-- <div class="loader"></div> -->
    <img src="assets/images/Loader.gif" style="max-width: 80px;">
</div>
  </div>
</app-baselayout>